Priority: Normal Due date:  

Assigned To: Knödlseder Jürgen % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 1.6.0   

Description

We noticed that for a weak dark matter signal above CR background, ctlike and ctulimit return results too good to be true in

comparison with a simple signal/noise estimation for 500 hours of simulated data.

Artificial reduction of time (to have no more than 1e4 photons in 10% broad energy bin) seems to solve the issue. Therefore, the

issue connected to numerical accuracy.

It seems that in some cases, especially for the long observational time, default fitting/integration precision is not sufficient.

It will be good to be able to control the fitting/integration tolerance with e.g. the additional hidden parameter for ctlike/ctulimit even by

the price of a potentially significant increase of the computational time.

History

#1 - 09/07/2018 05:09 PM - Knödlseder Jürgen

- Assigned To set to Knödlseder Jürgen

- Target version set to 1.6.0

We can add the fit tolerance as a hidden parameter. It would be good if you could provide a specific test case that reproduces your problem to see

whether fit tolerance is actually the issue.

#2 - 09/11/2018 11:29 AM - Knödlseder Jürgen

- Status changed from New to Pull request

- % Done changed from 0 to 100

I added a like_accuracy parameter to all tools and scripts that do maximum likelihood fitting. I will now merge the code into devel.

#3 - 09/11/2018 01:55 PM - Knödlseder Jürgen

- Status changed from Pull request to Closed

Code is integrated in devel branch.
